### Method

# SpiceClientGLib PortChannel write_async

since: 0.35

#### Declaration [src]

    void
    spice_port_channel_write_async (
      SpicePortChannel* port,
      void* buffer,
      gsize count,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Request an asynchronous write of count bytes from `buffer` into the `port`. When the operation is finished `callback` will be called. You can then call `spice_port_write_finish()` to get the result of the operation.

Available since: 0.35

This method completes asynchronously. Use `spice_port_channel_write_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`buffer`

  Type: An array of `guint8`

  The buffer containing the data to write.

  The length of the array is specified in the `count` argument.
  The data is owned by the caller of the method.

`count`

  Type: `gsize`

  The number of bytes to write.

`cancellable`

  Type: `GCancellable`

  Optional GCancellable object, NULL to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Callback to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.